%%%
%%% FINDER metaservice
%%%
%%% adhoc implemetation of a service for Omega, MP

functor
   
import
   OS(getEnv)

   XService(manager: ServiceManager)
   at 'x-ozlib://mathweb/sys/XService.ozf'
   ShellProverClass('class': ShellProver)
   at 'x-ozlib://mathweb/sys/ShellProver.ozf'

   XApplication
   at 'x-ozlib://mathweb/share/XApplication.ozf'
   
define
   AppName     = 'finder'
   ServiceName = 'FINDER'
   App         = {New XApplication.manager init}

   FINDER     = {OS.getEnv "FINDERHOME"}

   VS2BS = VirtualString.toByteString
   
   class FinderService from ShellProver

      
      meth submitProblem(ProblemBS syntax:Syntax<=finder)
         
         case Syntax of finder then

%	    {App.showInfo ProblemBS}
	    
            {self saveVS(ProblemBS "finder.in")}
            
            {self start(FINDER#"< finder.in >finder.out.tmp ;"
                        #"mv finder.out.tmp finder.out")}
         else
            raise unknownSyntax(Syntax) end
         end
      end

      meth analyzeResult($)
         Model
         local
            F = {self openRead("finder.out" $)}
	    fun {Take}
               case {F getS($)}
	       of false  then nil
	       [] &C|&P|&U|Ir then {Take}
	       [] Line        then Line#"\n"#{Take}
               end
            end
         in
	    Model = {Take}
            {F close}
         end
      in
	 {VS2BS  Model}
      end
   end

   ServMan = {New ServiceManager init(ServiceName FinderService
                                      appName: AppName
                                      appMan:  App)}
   {ServMan offerService}
   {App.exit 0}
end
















