

%{
#define YYSTYPE char*
#include "post2maple.tab.h"
%}

%option noyywrap

IDENT	[a-zA-Z_][a-zA-Z0-9_]*
NUMBER	[0-9]+

%%

absval return ABSVAL;
plus return PLUS;
minus return MINUS;
times return TIMES;
div return DIV;
mod return MOD;
power return POWER;
= return EQUAL;
{IDENT}   { yylval = yytext; return TID; }
{NUMBER}  { yylval = yytext; return TID; }
[ \n\t]+
[-+*/^(){},;] { yylval = yytext; return yytext[0]; }


