%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FireWall.oz ; This file is part of the MathWeb system
%
%   major updates: 18.10.2000
%
%   Authors: Juergen Zimmer
%
%   email: jzimmer@ags.uni-sb.de
%   
% For information about this program, write to:                          
%   MathWeb-Project                                                        
%   AG Siekmann/FB nformatik                                            
%   Universitaet des Saarlandes                                          
%   Bau 36, 4. Stock                                                     
%   D-66041 Saarbruecken                                                 
%   Germany    
%
% For information about the newest version of MathWeb, see 
%   http://www.mathweb.org/mathweb
%
% See the file "LICENSE" or
%    http://www.mathweb.org/mathweb/LICENSE.html
% for information on usage and redistribution
% of this file, and for a DISCLAIMER OF ALL
% WARRANTIES.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

functor  %% Tools for communication through a firewall

import
   OS(uName system tmpnam unlink getEnv)
%      Browser(browse: Browse)

   MakeApplet   at 'x-ozlib://mathweb/loui/MakeApplet.ozf'
   
export   
   makeApplet: MakeFirewallApplet
   
define
   proc {MakeFirewallApplet Ticket Port SourceURL TargetFile}
      if {IsAtom Ticket} then 
	 PropertyEnv = {List.toRecord spec
			['FIREWALL_TICKET'#Ticket
			 'PORT'#Port
			]}
      in      
	 {MakeApplet.generic SourceURL PropertyEnv TargetFile}
      end
   end
   
end







