%
%%  a test program for Alexander
%%

functor
   
import
   XApplication
   at 'x-ozlib://mathweb/share/XApplication.ozf'
   
   Browser(browse: Browse)
   System
   BrokerAccess(getBroker)
   at 'x-ozlib://mathweb/sys/BrokerAccess.ozf'
   
define
   App     = {New XApplication.manager init}
%   Args    = args(brokerticket: "http://www.mathweb.org/~jzimmer/broker@leibniz")
   Args    = args(brokerticket: "http://www.mathweb.org/~jzimmer/broker@gentzen")

%   Broker = proc{$ X} skip end
   Broker = {BrokerAccess.getBroker App Args}.send
   
   Protein = {Broker request("PROTEIN" $)}
   
   MSC006_1_a = "prolog_pred(var / 1).
% BEGIN_AXIOMS
% NAME: transitive(p)
(p(A, C)) :- \\+ var(A), p(A, B), p(B, C).

% NAME: transitive(p)
(p(A, C)) :- var(A),  p(B, C), p(A, B).

% NAME: transitive(q)
(q(A, C)) :- \\+ var(A), q(A, B), q(B, C).

% NAME: transitive(q)
(q(A, C)) :- var(A), q(B, C), q(A, B).

% NAME: symmetric(q)
(q(B, A)) :- q(A, B) # 0.

% NAME: all_related(p,q)
(p(A, B) ; q(A, B)) # 0 .

% NAME: not_total(p)
-p(a, b).

% NAME: goal
?- q(c, d).
% END_AXIOMS"
%protein_flag(trace,internal).\n
MSC006_1 = "
% BEGIN_AXIOMS
% NAME: transitive(p)
p(X, Z) :- p(X, Y), p(Y, Z).

% NAME: transitive(q)
q(X, Z) :- q(X, Y), q(Y, Z).

% NAME: symmetric(q)
q(Y, X) :- q(X, Y).

% NAME: all_related(p,q)
p(X, Y); q(X, Y).

% NAME: not_total(p)
- p(a, b).

% NAME: goal 
?- q(c, d).

% END_AXIOMS"

%--------------------------------------------------------------------------

    {System.showInfo MSC006_1}
%       meth prove(ProblemBS ?Result
% 		 syntax: Syntax <= unit
% 		 times:  ?Times <= _
% 		)
   VS2BS = VirtualString.toByteString

   Result 
   {Protein enter}
   {Protein prove({VS2BS MSC006_1} ?Result
		  syntax: dfg
                  replyWith: a(state: unit
                               output: unit
                               )
		 )}
   {Browse 'waiting...'}
   {Wait Result}
   {Browse Result}
%% Result is a record
%%     s(string: Proof      % the proof!
%%       bool:   Failed?    % boolean indicating if the prover is failed 
%%       host:   self.host) % name of the host the prover runs on

   {Protein leave}

%   {App.exit 0}
end


