%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% SymbolManager.oz ; This file is part of the MathWeb system
%
%   major updates: 20.12.2000
%
%   Authors: Juergen Zimmer
%
%   email: jzimmer@ags.uni-sb.de
%   
% For information about this program, write to:                          
%   MathWeb-Project                                                        
%   AG Siekmann/FB nformatik                                            
%   Universitaet des Saarlandes                                          
%   Bau 36, 4. Stock                                                     
%   D-66041 Saarbruecken                                                 
%   Germany    
%
% For information about the newest version of MathWeb, see 
%   http://www.mathweb.org/mathweb
%
% See the file "LICENSE" or
%    http://www.mathweb.org/mathweb/LICENSE.html
% for information on usage and redistribution
% of this file, and for a DISCLAIMER OF ALL
% WARRANTIES.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

functor
import
   XManagers    at 'x-ozlib://mathweb/config/XManagers.ozf'
export
   'class':SymbolManager
define
   %%
   %% symbol manager
   %%
   local
      class Symbol
	 from XManagers.symbol
	 prop
	    locking
	    final
      end
   in
      class SymbolManager
	 feat
	    symbol
	    buttons

	 meth init(SymbolDir SymbolbarConfig VS2V)
	    self.symbol = {New Symbol init(self.toplevel
					   self.status
					   self.items
					   SymbolbarConfig
					   SymbolDir
					   VS2V
					   self.buttons)}
	 end
      end
   end
         
end
