%%
%%  a test program for mace
%%

functor
   
import
   XApplication
   at 'x-ozlib://mathweb/share/XApplication.ozf'
   
   Browser(browse: Browse)
   
   BrokerAccess(getBroker)
   at 'x-ozlib://mathweb/sys/BrokerAccess.ozf'
   
define
   App     = {New XApplication.manager init}
   AppName = "testmace"
   %% The command line arguments
   DefaultTicket = "http://www.mathweb.org/~jzimmer/broker@leibniz"
   Spec = record(brokerticket(single type:string default: DefaultTicket))

Args
   try
      Args = {App.getCmdArgs Spec}
   catch error(ap(usage S)...) then
      {App.showError AppName#': '#S}
      {App.exit 1}
   end
   %% end of args
   
   Broker = {BrokerAccess.getBroker App Args}.send
   
   Mace = {Broker request("MACE" $)}
   
   Problem1 = "set(auto).

clear(print_proofs).

set(prolog_style_variables).

formula_list(usable).


(all A (entity(A) -> single(A))).
(all A (organism(A) -> entity(A))).
(all A (human_person(A) -> organism(A))).
(all A (man(A) -> human_person(A))).
(all A (man(A) -> male(A))).
(all A (eventuality(A) -> single(A))).
(all A (eventuality(A) -> unisex(A))).
(all A (event(A) -> eventuality(A))).
(all A (eventuality(A) -> -(entity(A)))).
(all A (unisex(A) -> -(male(A)))).
(all A (man(A) -> (exists B (event(B) & 
     (present(B) & 
          walk(B,A)))))).

end_of_list."

   Problem2 = "set(auto).

clear(print_proofs).

set(prolog_style_variables).

formula_list(usable).


(all A (entity(A) -> single(A))).
(all A (organism(A) -> entity(A))).
(all A (human_person(A) -> organism(A))).
(all A (man(A) -> human_person(A))).
(all A (man(A) -> male(A))).
(all A (eventuality(A) -> single(A))).
(all A (eventuality(A) -> unisex(A))).
(all A (event(A) -> eventuality(A))).
(all A (eventuality(A) -> -(entity(A)))).
(all A (unisex(A) -> -(male(A)))).
-((all A (man(A) -> (exists B (event(B) & 
     (present(B) & 
          walk(B,A))))))).

end_of_list."

   Problem3 = "set(auto).

clear(print_proofs).

set(prolog_style_variables).

formula_list(usable).


(all A (entity(A) -> single(A))).
(all A (organism(A) -> entity(A))).
(all A (human_person(A) -> organism(A))).
(all A (man(A) -> human_person(A))).
(all A (man(A) -> male(A))).
(all A (eventuality(A) -> single(A))).
(all A (eventuality(A) -> unisex(A))).
(all A (event(A) -> eventuality(A))).
(all A (eventuality(A) -> -(entity(A)))).
(all A (unisex(A) -> -(male(A)))).
-((all A (man(A) -> -((exists B (event(B) & 
     (present(B) & 
          walk(B,A)))))))).

end_of_list."

%       meth prove(ProblemBS ?Result
% 		 syntax: Syntax <= unit
% 		 times:  ?Times <= _
% 		)
   VS2BS = VirtualString.toByteString

   Result 
   {Mace enter}
   {Mace prove({VS2BS Problem3} ?Result
                replyWith: result(state: unit
                                  name: unit
                                  host: unit
                                  times: unit
                                  output: unit)
               )}
   {Wait Result}
   {Browse Result}
%% Result is a record
%%     s(string: Proof      % the proof!
%%       bool:   Failed?    % boolean indicating if the prover is failed 
%%       host:   self.host) % name of the host the prover runs on

   {Mace leave}

%   {App.exit 0}
end


