%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% mathweb-up.oz ; This file is part of the MathWeb system
%
%   major updates: 18.10.2000
%
%   Authors: Juergen Zimmer
%
%   email: jzimmer@ags.uni-sb.de
%   
% For information about this program, write to:                          
%   MathWeb-Project                                                        
%   AG Siekmann/FB nformatik                                            
%   Universitaet des Saarlandes                                          
%   Bau 36, 4. Stock                                                     
%   D-66041 Saarbruecken                                                 
%   Germany    
%
% For information about the newest version of MathWeb, see 
%   http://www.mathweb.org/mathweb
%
% See the file "LICENSE" or
%    http://www.mathweb.org/mathweb/LICENSE.html
% for information on usage and redistribution
% of this file, and for a DISCLAIMER OF ALL
% WARRANTIES.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

functor  %% The superclasses of all MathWeb services

import
%   Connection Fault Open
   OS(uName system tmpnam unlink getEnv)
%   Pickle Property System
%      Browser(browse: Browse)

   Env(home:Home)
   at 'x-ozlib://mathweb/share/Env.ozf'
   XApplication
   at 'x-ozlib://mathweb/share/XApplication.ozf'
%   File     at 'x-ozlib://mathweb/share/File.ozf'
%   Internet at 'x-ozlib://mathweb/share/Internet.ozf'
   Misc(lookup:Lookup)
   at 'x-ozlib://mathweb/share/Misc.ozf'
   
define
   App = {New XApplication.manager init}
   
   FirewallTicket = {Lookup 'FIREWALL_TICKET' unit}
   Port =           {Lookup 'PORT' 30000}
   
   try
      {OS.system 'cd '#Home#'/.oz/bin/' _}
      {OS.system 'mathweb-down > /dev/null' _}
      if FirewallTicket \= unit then
	 {OS.system 'sleep 2; xterm -fn 8x13 -geometry 70x30+0+5 -e mathweb-up --firewallticket '#FirewallTicket#' --port '#Port#"\&" _}
      else
	 {OS.system 'sleep 2; xterm -fn 8x13 -geometry 70x30+0+5 -e mathweb-up '#"\&" _}
      end
   catch E then
      {App.show E}
      {App.exit 0}
   end
   {App.exit 0}
end







